Bug 140061 - CAN-2004-0975 temporary file vulnerabilities in der_chop script
Summary: CAN-2004-0975 temporary file vulnerabilities in der_chop script
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: openssl   
(Show other bugs)
Version: 2.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard: impact=low,public=20040930,reported=2...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-19 16:06 UTC by Josh Bressers
Modified: 2007-11-30 22:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-01 13:32:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:476 normal SHIPPED_LIVE Moderate: openssl security update 2005-06-01 04:00:00 UTC

Description Josh Bressers 2004-11-19 16:06:47 UTC
On September 10th 2004, Trustix shared some temporary file
vulnerabilities with vendor-sec.  After some refinement these were
made public on Sep30.  These are minor issues (impact: LOW) and
therefore should be fixed in future updates, but don't deserve their
own security advisory.

Temporary file vulnerability in der_chop script.  Patch attached. 
However der_chop isn't a useful script and is deprecated.  Removing
der_chop script is a valid solution to this issue.

Proposed patch is attachment 105431 [details].

Comment 2 Mark J. Cox 2005-01-26 14:44:07 UTC
We're quite happy to have these fixed in future updates as required
and not to issue a RHSA especially for this issue.

Comment 3 Tomas Mraz 2005-01-26 14:56:25 UTC
Of course, but is it worth to release it in U7 update? I'd rather wait
for another problem to appear and then include it.


Comment 5 Josh Bressers 2005-06-01 13:32:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-476.html



Note You need to log in before you can comment on or make changes to this bug.